Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.content.spi.flexspi.common.capability
Enum CapabilityLevel

    java.lang.Object
      java.lang.Enum<CapabilityLevel>
          com.bea.content.spi.flexspi.common.capability.CapabilityLevel

All Implemented Interfaces
  Serializable, Comparable<CapabilityLevel>

    public enum CapabilityLevel

extends Enum<CapabilityLevel>

Various capability support levels for a repository.

This enum is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this enum without notice. Extensions of this enum by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Enum Constant Summary
`FullySupported` The repository reports this capability is fully supported
`NotSupported` This capability is either not supported or support cannot be determined

Method Summary
`static CapabilityLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CapabilityLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NotSupported

    public static final CapabilityLevel NotSupported

  This capability is either not supported or support cannot be determined

### FullySupported

    public static final CapabilityLevel FullySupported

  The repository reports this capability is fully supported

Method Detail

### values

    public static final CapabilityLevel[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static CapabilityLevel valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved